LibreOffice LibreOffice 5.3 SDK API Reference

Public Attributes | List of all members
ZipEntry Struct Referencepublished

used to represent a ZIP file entry More...

`import"ZipEntry.idl";`

## Public Attributes
short | nVersion
| version needed to extract More...
short | nFlag
| bit flags More...
short | nMethod
| compression method More...
long | nTime
| modification time More...
long | nCrc
| CRC-32 of entry data. More...
long | nCompressedSize
| uncompressed size of entry data More...
long | nSize
| uncompressed size of entry data More...
long | nOffset
| offset of LOC header More...
short | nDiskNumber
| The number of the disk this entry is saved on. More...
string | sName
| the entry name More...
sequence< byte > | extra
| optional extra field data for entry More...
string | sComment
| optional comment More...

## Detailed Description

used to represent a ZIP file entry

This interface is an IDL version of the Java interface java.util.zip.ZipFile with some minor adaptations.

## Member Data Documentation

## ◆ extra

sequence<byte> extra

optional extra field data for entry

## ◆ nCompressedSize

long nCompressedSize

uncompressed size of entry data

## ◆ nCrc

long nCrc

CRC-32 of entry data.

## ◆ nDiskNumber

short nDiskNumber

The number of the disk this entry is saved on.

## ◆ nFlag

short nFlag

bit flags

## ◆ nMethod

short nMethod

compression method

## ◆ nOffset

long nOffset

offset of LOC header

## ◆ nSize

long nSize

uncompressed size of entry data

## ◆ nTime

long nTime

modification time

## ◆ nVersion

short nVersion

version needed to extract

## ◆ sComment

string sComment

optional comment

## ◆ sName

string sName

the entry name

The documentation for this struct was generated from the following file:

- com/sun/star/packages/zip/ZipEntry.idl